Update document

PATCH
https://example.kaiten.ru/api/latest/documents/{document_uid}
Path parameters
NameTypeReference
document_uidrequiredstringDocument UID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
string
minLength: 0
maxLength: 256

Title of the document

sort_order
number
minimum: 0
exclusiveMinimum: 0
publish_date
string

Deadline. ISO 8601 format

null

Empty card description

data
object

Document content in ProseMirror JSON format. See document-schemas api to retrieve a schema

access
enum
[for_everyone,by_invite]
parent_entity_uid
string | null
for_everyone_access_role_id
string
public
boolean
redirect_url
string | null
hidden_on_public_site
boolean
backup_version
number
published_version
number

Version to publish on public site

null

No spicific version to publish on public site, current version will be published

enum
[current]
key
string
minLength: 2
maxLength: 10

Unique key for document, used in API and web interface. Must be unique across entire company

null

Reset existing key

icon_type
enum
[emoji,material_icon]

Type of icon

null

No icon

icon_value
string
maxLength: 100

Icon value (emoji character or material icon name)

null

No icon value

icon_color
integer
minimum: 1
maximum: 17

Icon color index (1-17)

null

No icon color

notification_period_start
string

Notification period start date

null

Reset notification period start date

notification_period_end
string

Notification period end date

null

Reset notification period end date

slug
string
minLength: 3
maxLength: 128

Human-readable URL slug. Lowercase latin letters, digits and hyphens only. Must be unique within the public site subtree

null

Reset slug (fall back to auto-slug generated from title)

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document uid
id

integer

Document id
title

string

Document title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document"
sort_order

number

Document sort order
access

enum

Document access type
for_everyone_access_role_id

null | string

Role id for everyone access
data

object

Document content in ProseMirror JSON format
version

integer

Current document version number
published_version

null | integer

Published version number
publish_date

null | string

Publication date
public

boolean

Is document publicly available (legacy field)
hidden_on_public_site

boolean

Document is hidden on public site
key

null | string

Unique document key within company
redirect_url

null | string

Redirect URL
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value (icon name for material_icon type)
icon_color

null | integer

Icon color
path

string

Inner path to entity in tree
schema_version

integer

ProseMirror schema version
notification_period_start

null | string

Notification period start date
notification_period_end

null | string

Notification period end date
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

string

Error code (optional)
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

409
DescriptionResponse typeExample
Conflict — key already in use or has unfinished key operationsObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

string

Error code
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/documents/{document_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!